如何阻止yum更新特定RPM?

Modified on: Sun, 18 Aug 2019 12:20:02 +0800

出于某些原因,我必须在我的盒子上安装稍微旧版本的特定RPM(Fedora 11)。问题是,每次我执行包更新时,yum(或其中一个GUI等价物)都希望将此RPM更新为最新版本,这很烦人 - 尤其是当我错误地更新它时。

有没有办法'固定'这个版本,以便yum知道永远不会尝试更新它?

作者:AndrewR

最佳答案

/etc/yum.conf中添加如下内容:

[main] exclude = yourpackage

有关详细信息,请参阅man 5 yum.conf


相关问答

添加新评论